Overview

Run APL query to edge deployment

Run APL query to edge deployment.

Use this endpoint to query data from a specific edge deployment. The data you query must be stored in the edge deployment where you query it. For more information, see Query data and Edge deployments.

The base domain for this endpoint is the base domain of the edge deployment where you want to query data.

Edge deployment Base domain for ingest and query
US East 1 (AWS) us-east-1.aws.edge.axiom.co
EU Central 1 (AWS) eu-central-1.aws.edge.axiom.co

This endpoint only supports API tokens. Personal access tokens (PATs) aren't supported. For more information, see Tokens.

This is the edge equivalent of the standard Run query endpoint. Send the request to your edge deployment's base domain at the path /v1/query/_apl. The standard /v1/datasets/_apl path isn't served on edge domains, so requests to it return a 404.

If you use an Axiom SDK, set the edge option on the client and it sends queries to this endpoint automatically. For more information, see Configure region.

POST/v1/query/_apl
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input20
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
formatstring · bodyrequired
(query)
nocacheboolean · body
(query)
saveAsKindstring · body
(query)
idstring · body
(query) when saveAsKind is true, this parameter indicates the id of the associated dataset
streaming-durationstring · body
(query)
apl-sourcestring · body
(query) contains the source of the APL query (for example console, dashboard, etc.)
apl-source-idstring · body
(query) contains the id of the source, for example dashboard_id
totalsboolean · body
(query) Include a totals table (only supported in MetricsDB)
aplstring · bodyrequired
APL query string
cursorstring · body
Pagination cursor
defaultLimitinteger · body
The default limit to use when no limit is specified in the query.
defaultOrderobject[] · body
The default order to use when no order is specified in the query.
Show child attributes2
descboolean
fieldstring
endTimestring · body
End time for the query range
includeCursorboolean · body
Include cursor in response
includeCursorFieldboolean · body
Defines if the _cursor field should be projected in the result
librariesstring[] · body
maxBinAutoGroupsinteger · body
Maximum number of groups to automatically bin into
queryOptionsobject · body
Show child attributes27
againststring
againstStartstring
againstTimestampstring
aggChartOptsstring
caseSensitivestring
containsTimeFilterstring
datasetsstring
displayNullstring
editorContentstring
endColumnstring
endLineNumberstring
endTimestring
integrationsFilterstring
nanosecondPrecisionstring
openIntervalsstring
overlayChartsstring
queryObjectstring
quickRangestring
resolutionstring
resultsHistogramstring
selectionstring
shownColumnsstring
startColumnstring
startLineNumberstring
startTimestring
timeSeriesVariantstring
timeSeriesViewstring
startTimestring · body
start and end time for the query, these must be specified as RFC3339 strings or using relative time expressions (e.g. now-1h, now-1d, now-1w, etc)
variablesobject · body
Variables is an optional set of additional variables that are inserted into the APL
Responses
200AplResult
defaultUser or system error
Example input
curl -X POST 'https://AXIOM_DOMAIN/v1/query/_apl' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"format":"tabular","apl":"string"}'
Example output
{}

Updated

Was this page helpful?